跳转到主要内容
监控与采集相关接口/监控查询与概览
GETMonitoring起始版本 1.0同步需要认证

获取热门资源

列表热点消费资源指定产品类型。

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

查询参数

请求参数

路径参数

  • productTypeString必填

    产品类型。

查询参数

  • platformUuidString

    平台UUID。

  • limitInteger

    最多返回的记录数。

    示例: 0

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • itemsList

    条目列表。

    示例: (nested array)

    • uuidString

      资源的UUID,唯一标识该资源。

      示例: vm-xyz-001

    • nameString

      资源名称。

      示例: web-server-01

    • resourceTypeString

      资源类型。

      示例: vm

    • metricNameString

      监控项名称。

      示例: cpu_usage_percent

    • valueLong

      字段值。

      示例: 87.3

    • unitString

      指标。

      示例: %

请求地址

GET/api/v1/monitoring/products/{productType}/top-resources

/api/v1/monitoring/products/{productType}/top-resources

操作 ID

GetTopResources

永久链接

请求示例

curl -X GET '{host}/api/v1/monitoring/products/{productType}/top-resources' -H 'Authorization: Bearer {token}'

响应示例

200
{
  "items": [
    {}
  ]
}

变更历史

此 API 暂无变更历史记录。

查看全部变更历史